| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Stdio

# Method Stdio.convert_modestring2int()

Method convert_modestring2int

  `int convert_modestring2int(string mode_string)`

Description

  Convert the mode_string string as returned by Stdio.Stat object to int suitable for chmod

Parameter `mode_string`

  The string as return from Stdio.Stat()->mode_string

Returns

  An int matching the permission of the mode_string string suitable for chmod